;;; 50egg-init.el --- Debian Egg startup file -*- mode: emacs-lisp -*-
;;
;; Originally named:egg-init.el
;;
;; Takuo KITAME <kitame@northeye.org>
;; ISHIKAWA Mutsumi <ishikawa@debian.org>
;;

(if (fboundp 'debian-pkg-add-load-path-item)
    (debian-pkg-add-load-path-item
     (concat "/usr/share/" (symbol-name debian-emacs-flavor)
	     "/site-lisp/egg"))
  (setq load-path
	(cons
	 (concat "/usr/share/" (symbol-name debian-emacs-flavor)
		 "/site-lisp/egg")
	 load-path)))

(autoload 'egg-activate-anthy "egg-anthy"
  "Activate ANTHY  backend of Tamago 4." t)

(register-input-method
 "japanese-egg-anthy" "Japanese" 'egg-activate-anthy
 ".."  "Romaji -> Hiragana -> Kanji&Kana"
 'its-select-hiragana)

(autoload 'egg-mode "egg" "Toggle EGG  mode." t)

(set-language-info "Japanese"    'input-method "japanese-egg-anthy")

(defgroup egg nil "" 
  :group 'leim :load "egg")

(defgroup anthy nil ""
  :group 'egg :load "egg-anthy")

(defgroup its nil "" 
  :group 'egg :load "its")

(defgroup hira nil ""
  :group 'its :load "its-hira")

;;; Try M-x customize-group hira
